aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.travis.yml12
-rw-r--r--Dockerfile8
-rw-r--r--gcompletion.sh2
-rwxr-xr-xrun-tests.sh29
-rw-r--r--t/tests.sh19
5 files changed, 68 insertions, 2 deletions
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..e66b8b7
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,12 @@
+language: bash
+before_script:
+ - source g.sh
+script:
+ - bash t/tests.sh
+ - zsh t/tests.sh
+os:
+ - linux
+ - osx
+matrix:
+ allow_failures:
+ -os: osx
diff --git a/Dockerfile b/Dockerfile
new file mode 100644
index 0000000..227634b
--- /dev/null
+++ b/Dockerfile
@@ -0,0 +1,8 @@
+FROM opensuse:latest
+MAINTAINER Miquel Sabaté Solà <mikisabate@gmail.com>
+
+RUN mkdir /g
+WORKDIR /g
+ADD . /g
+
+ENTRYPOINT ["bash", "t/tests.sh"]
diff --git a/gcompletion.sh b/gcompletion.sh
index a1f954d..b728e46 100644
--- a/gcompletion.sh
+++ b/gcompletion.sh
@@ -1,4 +1,3 @@
-#
# Copyright (C) 2013-2015 Miquel Sabaté Solà <mikisabate@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
@@ -13,7 +12,6 @@
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-#
# Do the completion work. Shamelessly taken from the git completion script.
diff --git a/run-tests.sh b/run-tests.sh
new file mode 100755
index 0000000..1135351
--- /dev/null
+++ b/run-tests.sh
@@ -0,0 +1,29 @@
+# Copyright (C) 2013-2015 Miquel Sabaté Solà <mikisabate@gmail.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+if [ -z "$(pidof docker)" ]; then
+ echo "Docker has to be running!"
+ exit 1
+fi
+if [ ! -z "$(docker images g | grep latest)" ]; then
+ id="$(docker images g | grep latest | awk '{ print $3 }')"
+ docker rmi $id
+fi
+
+docker build -t g:latest .
+docker run --rm -it g:latest
diff --git a/t/tests.sh b/t/tests.sh
new file mode 100644
index 0000000..79c635f
--- /dev/null
+++ b/t/tests.sh
@@ -0,0 +1,19 @@
+# Copyright (C) 2013-2015 Miquel Sabaté Solà <mikisabate@gmail.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+echo "Hello World"
+exit 0